Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class DocumentInteractionSpecImpl

    java.lang.Object
      com.bea.adapter.cci.InteractionSpecImpl
          com.bea.adapter.cci.DocumentInteractionSpecImpl

All Implemented Interfaces:
  ClientDataInteractionSpec, DocumentInteractionSpec, EventListener, javax.resource.cci.InteractionSpec, PropertyChangeListener, Serializable, VetoableChangeListener

public class DocumentInteractionSpecImpl
extends InteractionSpecImpl
implements DocumentInteractionSpec, ClientDataInteractionSpec

Extends the base InteractionSpecImpl class to provide an implementation of the com.bea.connector.DocumentInteractionSpec and com.bea.connector.ClientDataInteractionSpec interfaces.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected IClientData` | `m_clientData` Client data instance.
`protected com.bea.document.IDocument` | `m_defaultRequestDoc` Cached default document created with the request document definition; minOccurs is forced to 1 by default.
`protected com.bea.document.IDocument` | `m_defaultResponseDoc` Cached default document created with the response document definition; minOccurs is forced to 1 by default.
`protected com.bea.document.IDocumentDefinition` | `m_requestDocDef` Encapsulates the schema and root element name for the request document for this interaction.
`protected com.bea.document.IDocumentDefinition` | `m_responseDocDef` Encapsulates the schema and root element name for the response document for this interaction.

Fields inherited from interface javax.resource.cci.InteractionSpec
`SYNC_RECEIVE, SYNC_SEND, SYNC_SEND_RECEIVE`

Constructor Summary
`DocumentInteractionSpecImpl()`
`DocumentInteractionSpecImpl(String strFunctionName)`
`DocumentInteractionSpecImpl(String strFunctionName, int iVerb, int iTimeOut)`

Method Summary
`boolean` | `disallowNamespacesInRequest()` Indicates if this adapter does not know how to deal with namespaces.
`IClientData` | `getClientData()` Get the client data to be used by the adapter during its Interaction.execute() processing, or null if none was specified.
`com.bea.document.IDocument` | `getDefaultRequestDocument()`
`com.bea.document.IDocument` | `getDefaultResponseDocument()`
`com.bea.document.IDocumentDefinition` | `getRequestDocumentDefinition()` Gets the request document definition for this InteractionSpec.
`com.bea.document.IDocumentDefinition` | `getResponseDocumentDefinition()` Gets the response document definition for this InteractionSpec.
`void` | `setClientData(IClientData data)` Store the client data to be used by the adapter during its Interaction.execute() processing.
`void` | `setRequestDocumentDefinition(com.bea.document.IDocumentDefinition docDef)` Sets the request document definition
`void` | `setResponseDocumentDefinition(com.bea.document.IDocumentDefinition docDef)` Sets the response document definition
`String` | `toString()`
`void` | `vetoableChange(PropertyChangeEvent evt)` Verifies if the given property change is valid; implements all of our property validation routines for the request/response document definitions

Methods inherited from class com.bea.adapter.cci.InteractionSpecImpl
`addPropertyChangeListener, addVetoableChangeListener, fireChangeEvent, getExecutionTimeout, getFunctionName, getInteractionVerb, getInteractionVerbAsStr, propertyChange, removePropertyChangeListener, removeVetoableChangeListener, setExecutionTimeout, setFunctionName, setInteractionVerb`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_requestDocDef

    protected com.bea.document.IDocumentDefinition m_requestDocDef

  Encapsulates the schema and root element name for the request document for this interaction.

### m_responseDocDef

    protected com.bea.document.IDocumentDefinition m_responseDocDef

  Encapsulates the schema and root element name for the response document for this interaction.

### m_defaultRequestDoc

    protected com.bea.document.IDocument m_defaultRequestDoc

  Cached default document created with the request document definition; minOccurs is forced to 1 by default.

### m_defaultResponseDoc

    protected com.bea.document.IDocument m_defaultResponseDoc

  Cached default document created with the response document definition; minOccurs is forced to 1 by default.

### m_clientData

    protected IClientData m_clientData

  Client data instance.

Constructor Detail

### DocumentInteractionSpecImpl

    public DocumentInteractionSpecImpl()

### DocumentInteractionSpecImpl

    public DocumentInteractionSpecImpl(String strFunctionName)
                                throws javax.resource.ResourceException

### DocumentInteractionSpecImpl

    public DocumentInteractionSpecImpl(String strFunctionName,
                                       int iVerb,
                                       int iTimeOut)
                                throws javax.resource.ResourceException

Method Detail

### setRequestDocumentDefinition

    public void setRequestDocumentDefinition(com.bea.document.IDocumentDefinition docDef)
                                      throws javax.resource.ResourceException

  Sets the request document definition

  Specified by:
    `setRequestDocumentDefinition` in interface `DocumentInteractionSpec`
  Throws:
    `javax.resource.ResourceException` - if the new property value was vetoed by a registered listener

### getRequestDocumentDefinition

    public com.bea.document.IDocumentDefinition getRequestDocumentDefinition()

  Gets the request document definition for this InteractionSpec.

  Specified by:
    `getRequestDocumentDefinition` in interface `DocumentInteractionSpec`
  Returns:
    the request document definition for the interaction; this object can provide the XML schema for the request record as well as create default documents for the request record; may return null if not set

### setResponseDocumentDefinition

    public void setResponseDocumentDefinition(com.bea.document.IDocumentDefinition docDef)
                                       throws javax.resource.ResourceException

  Sets the response document definition

  Specified by:
    `setResponseDocumentDefinition` in interface `DocumentInteractionSpec`
  Throws:
    `javax.resource.ResourceException` - if the new property value was vetoed by a registered listener

### getResponseDocumentDefinition

    public com.bea.document.IDocumentDefinition getResponseDocumentDefinition()

  Gets the response document definition for this InteractionSpec.

  Specified by:
    `getResponseDocumentDefinition` in interface `DocumentInteractionSpec`
  Returns:
    the response document definition for the interaction; this object can provide the XML schema for the response record as well as create default documents for the response record; may return null if not set

### getDefaultRequestDocument

    public com.bea.document.IDocument getDefaultRequestDocument()

  Returns:
    a default document based on the request document definition; may return null if the request document definition has not been set.

### getDefaultResponseDocument

    public com.bea.document.IDocument getDefaultResponseDocument()

  Returns:
    a default document based on the response document definition; may return null if the response document definition has not been set.

### setClientData

    public void setClientData(IClientData data)
                       throws javax.resource.ResourceException

  Store the client data to be used by the adapter during its Interaction.execute() processing.

  Specified by:
    `setClientData` in interface `ClientDataInteractionSpec`
  Throws:
    `javax.resource.ResourceException`

### getClientData

    public IClientData getClientData()

  Get the client data to be used by the adapter during its Interaction.execute() processing, or null if none was specified.

  Specified by:
    `getClientData` in interface `ClientDataInteractionSpec`

### vetoableChange

    public void vetoableChange(PropertyChangeEvent evt)
                        throws PropertyVetoException

  Verifies if the given property change is valid; implements all of our property validation routines for the request/response document definitions

  Specified by:
    `vetoableChange` in interface `VetoableChangeListener`
  Overrides:
    `vetoableChange` in class `InteractionSpecImpl`
  Throws:
    `PropertyVetoException`

### disallowNamespacesInRequest

    public boolean disallowNamespacesInRequest()

  Indicates if this adapter does not know how to deal with namespaces. The default implementation of this method checks the wlai-config properties file for wlai_disallows_namespaces_in_request property. If it exists, no namespaces should be used in request/response.

### toString

    public String toString()

  Overrides:
    `toString` in class `InteractionSpecImpl`
  Returns:
    a String representation of this instance; provides information about the request and response document definitions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD